net.sf.jasperreports.engine.design

## Class JRDesignTextField

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.design.JRDesignElement
    - - net.sf.jasperreports.engine.design.JRDesignTextElement
      - - net.sf.jasperreports.engine.design.JRDesignTextField

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRAlignment, JRAnchor, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRCommonText, JRElement, JREvaluation, JRFont, JRHyperlink, JRIdentifiable, JRParagraphContainer, JRPropertiesHolder, JRStyleContainer, JRTextElement, JRTextField, JRVisitable

      public class JRDesignTextField
      extends JRDesignTextElement
      implements JRTextField

  Version:
    $Id: JRDesignTextField.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `anchorNameExpression`
    `protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this field.
    `protected JRGroup` | `evaluationGroup`
    `protected EvaluationTimeEnum` | `evaluationTimeValue`
    `protected JRExpression` | `expression`
    `protected JRExpression` | `hyperlinkAnchorExpression`
    `protected JRExpression` | `hyperlinkPageExpression`
    `protected JRExpression` | `hyperlinkReferenceExpression`
    `protected JRExpression` | `hyperlinkWhenExpression`
    `protected java.lang.Boolean` | `isBlankWhenNull`
    `protected boolean` | `isStretchWithOverflow`
    `protected java.lang.String` | `linkTarget`
    `protected java.lang.String` | `linkType`
    `protected java.lang.String` | `pattern`
    `protected JRExpression` | `patternExpression`
    `static java.lang.String` | `PROPERTY_ANCHOR_NAME_EXPRESSION`
    `static java.lang.String` | `PROPERTY_BOOKMARK_LEVEL`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_PATTERN_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignTextElement

      `fontName, fontsize, horizontalAlignmentValue, isBold, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, markup, paragraph, pdfEncoding, pdfFontName, rotationValue, verticalAlignmentValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRTextField

      `FORMAT_TIMEZONE_SYSTEM, PROPERTY_FORMAT_TIMEZONE`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRTextElement

      `PROPERTY_PRINT_KEEP_FULL_TEXT, PROPERTY_SAVE_LINE_BREAKS, PROPERTY_TRUNCATE_AT_CHAR, PROPERTY_TRUNCATE_SUFFIX`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRCommonText

      `MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRAnchor

      `NO_BOOKMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignTextField()`
    `JRDesignTextField(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
    `JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this text field.
    `EvaluationTimeEnum` | `getEvaluationTimeValue()` Gets the evaluation time for this text field.
    `JRExpression` | `getExpression()` Gets the expression for this field.
    `JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
    `JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
    `JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
    `java.util.List<JRHyperlinkParameter>` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
    `JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
    `byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
    `JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
    `byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
    `HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
    `JRExpression` | `getHyperlinkWhenExpression()` Returns the expression that is evaluated in order to decide if the hyperlink should be displayed.
    `java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
    `java.lang.String` | `getLinkType()` Returns the hyperlink type.
    `java.lang.String` | `getOwnPattern()`
    `java.lang.String` | `getPattern()` Gets the pattern used for this text field.
    `JRExpression` | `getPatternExpression()` Gets the pattern expression, in case the patter needs to be dynamic.
    `boolean` | `isBlankWhenNull()` Indicates whether an empty string will be displayed if the field's expression evaluates to `null`.
    `java.lang.Boolean` | `isOwnBlankWhenNull()`
    `boolean` | `isStretchWithOverflow()` Specifies whether the text field will stretch vertically if its text does not fit in one line.
    `void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
    `void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
    `void` | `setAnchorNameExpression(JRExpression anchorNameExpression)`
    `void` | `setBlankWhenNull(boolean isBlank)` Specifies whether an empty string sholuld be displayed if the field's expression evaluates to `null`.
    `void` | `setBlankWhenNull(java.lang.Boolean isBlank)`
    `void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor associated with this field.
    `void` | `setEvaluationGroup(JRGroup evaluationGroup)`
    `void` | `setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)`
    `void` | `setExpression(JRExpression expression)`
    `void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)`
    `void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)`
    `void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)`
    `void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
    `void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
    `void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)` Sets the expression which will be used to generate the hyperlink tooltip.
    `void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Repalced by `setHyperlinkType(HyperlinkTypeEnum)`.
    `void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
    `void` | `setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)`
    `void` | `setLinkTarget(java.lang.String target)` Sets the hyperlink target name.
    `void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
    `void` | `setPattern(java.lang.String pattern)` Sets the pattern used for this text field.
    `void` | `setPatternExpression(JRExpression patternExpression)`
    `void` | `setStretchWithOverflow(boolean isStretch)` Set to true if the text field should stretch vertically if its text does not fit in one line.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignTextElement

      `getDefaultLineColor, getFont, getFontName, getFontsize, getFontSize, getHorizontalAlignmentValue, getLineBox, getLineSpacingValue, getMarkup, getModeValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnPdfEncoding, getOwnPdfFontName, getOwnRotationValue, getOwnVerticalAlignmentValue, getParagraph, getPdfEncoding, getPdfFontName, getRotationValue, getVerticalAlignmentValue, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFont, setFontName, setFontSize, setFontSize, setFontSize, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRotation, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setHeight, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setUUID, setY`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRAlignment

      `getHorizontalAlignmentValue, getOwnHorizontalAlignmentValue, getOwnVerticalAlignmentValue, getVerticalAlignmentValue, setHorizontalAlignment, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRFont

      `getFontName, getFontsize, getFontSize, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getPdfEncoding, getPdfFontName, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonText

      `getFontsize, getFontSize, getLineSpacingValue, getMarkup, getOwnLineSpacingValue, getOwnMarkup, getOwnRotationValue, getRotationValue, setLineSpacing, setMarkup, setRotation`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### PROPERTY_ANCHOR_NAME_EXPRESSION

          public static final java.lang.String PROPERTY_ANCHOR_NAME_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_BOOKMARK_LEVEL

          public static final java.lang.String PROPERTY_BOOKMARK_LEVEL

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PATTERN_EXPRESSION

          public static final java.lang.String PROPERTY_PATTERN_EXPRESSION

      See Also:
        Constant Field Values

    - #### isStretchWithOverflow

          protected boolean isStretchWithOverflow

    - #### evaluationTimeValue

          protected EvaluationTimeEnum evaluationTimeValue

    - #### pattern

          protected java.lang.String pattern

    - #### isBlankWhenNull

          protected java.lang.Boolean isBlankWhenNull

    - #### linkType

          protected java.lang.String linkType

    - #### linkTarget

          protected java.lang.String linkTarget

    - #### evaluationGroup

          protected JRGroup evaluationGroup

    - #### expression

          protected JRExpression expression

    - #### patternExpression

          protected JRExpression patternExpression

    - #### anchorNameExpression

          protected JRExpression anchorNameExpression

    - #### hyperlinkReferenceExpression

          protected JRExpression hyperlinkReferenceExpression

    - #### hyperlinkWhenExpression

          protected JRExpression hyperlinkWhenExpression

    - #### hyperlinkAnchorExpression

          protected JRExpression hyperlinkAnchorExpression

    - #### hyperlinkPageExpression

          protected JRExpression hyperlinkPageExpression

    - #### bookmarkLevel

          protected int bookmarkLevel

      The bookmark level for the anchor associated with this field.
      See Also:
        `JRAnchor.getBookmarkLevel()`

  - ### Constructor Detail

    - #### JRDesignTextField

          public JRDesignTextField()

    - #### JRDesignTextField

          public JRDesignTextField(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### isStretchWithOverflow

          public boolean isStretchWithOverflow()

      Description copied from interface: `JRTextField`
      Specifies whether the text field will stretch vertically if its text does not fit in one line.
      Specified by:
        `isStretchWithOverflow` in interface `JRTextField`
      Returns:
        true if the text field will stretch vertically, false otherwise

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

      Description copied from interface: `JREvaluation`
      Gets the evaluation time for this text field.
      Specified by:
        `getEvaluationTimeValue` in interface `JREvaluation`
      Returns:
        one of the evaluation time constants in `JRExpression`

    - #### getPattern

          public java.lang.String getPattern()

      Description copied from interface: `JRTextField`
      Gets the pattern used for this text field. The pattern will be used in a `SimpleDateFormat` for dates and a `DecimalFormat` for numeric text fields. The pattern format must follow one of these two classes formatting rules, as specified in the JDK API docs.
      Specified by:
        `getPattern` in interface `JRTextField`
      Returns:
        a string containing the pattern.

    - #### getOwnPattern

          public java.lang.String getOwnPattern()

      Specified by:
        `getOwnPattern` in interface `JRTextField`

    - #### isBlankWhenNull

          public boolean isBlankWhenNull()

      Description copied from interface: `JRTextField`
      Indicates whether an empty string will be displayed if the field's expression evaluates to `null`.
      Specified by:
        `isBlankWhenNull` in interface `JRTextField`
      Returns:
        true if an empty string will be displayed instead of null values, false otherwise

    - #### isOwnBlankWhenNull

          public java.lang.Boolean isOwnBlankWhenNull()

      Specified by:
        `isOwnBlankWhenNull` in interface `JRTextField`

    - #### getHyperlinkType

          public byte getHyperlinkType()

      Deprecated. Replaced by `getHyperlinkTypeValue()`.
      Specified by:
        `getHyperlinkType` in interface `JRHyperlink`

    - #### getHyperlinkTypeValue

          public HyperlinkTypeEnum getHyperlinkTypeValue()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink type for the element.

      The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

      Specified by:
        `getHyperlinkTypeValue` in interface `JRHyperlink`
      Returns:
        one of the hyperlink type constants
      See Also:
        `JRHyperlink.getLinkType()`

    - #### getHyperlinkTarget

          public byte getHyperlinkTarget()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink target for the element.

      The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HyperlinkTargetEnum.CUSTOM` is returned.

      Specified by:
        `getHyperlinkTarget` in interface `JRHyperlink`
      Returns:
        one of the hyperlink target constants
      See Also:
        `JRHyperlink.getLinkTarget()`

    - #### getEvaluationGroup

          public JRGroup getEvaluationGroup()

      Description copied from interface: `JREvaluation`
      Gets the evaluation group for this text field. Used only when evaluation time is group.
      Specified by:
        `getEvaluationGroup` in interface `JREvaluation`
      See Also:
        `EvaluationTimeEnum.GROUP`

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRTextField`
      Gets the expression for this field. The result obtained after evaluating this expression will be dispayed as the field text.
      Specified by:
        `getExpression` in interface `JRTextField`

    - #### getPatternExpression

          public JRExpression getPatternExpression()

      Description copied from interface: `JRTextField`
      Gets the pattern expression, in case the patter needs to be dynamic.
      Specified by:
        `getPatternExpression` in interface `JRTextField`
      See Also:
        `JRTextField.getPattern()`

    - #### getAnchorNameExpression

          public JRExpression getAnchorNameExpression()

      Description copied from interface: `JRAnchor`
      Returns an expression whose value represents the anchor name.
      Specified by:
        `getAnchorNameExpression` in interface `JRAnchor`

    - #### getHyperlinkReferenceExpression

          public JRExpression getHyperlinkReferenceExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor
      Specified by:
        `getHyperlinkReferenceExpression` in interface `JRHyperlink`

    - #### getHyperlinkWhenExpression

          public JRExpression getHyperlinkWhenExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression that is evaluated in order to decide if the hyperlink should be displayed. This expression always returns a boolean value.
      Specified by:
        `getHyperlinkWhenExpression` in interface `JRHyperlink`

    - #### getHyperlinkAnchorExpression

          public JRExpression getHyperlinkAnchorExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.
      Specified by:
        `getHyperlinkAnchorExpression` in interface `JRHyperlink`

    - #### getHyperlinkPageExpression

          public JRExpression getHyperlinkPageExpression()

      Description copied from interface: `JRHyperlink`
      Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.
      Specified by:
        `getHyperlinkPageExpression` in interface `JRHyperlink`

    - #### setStretchWithOverflow

          public void setStretchWithOverflow(boolean isStretch)

      Description copied from interface: `JRTextField`
      Set to true if the text field should stretch vertically if its text does not fit in one line.
      Specified by:
        `setStretchWithOverflow` in interface `JRTextField`

    - #### setEvaluationTime

          public void setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Description copied from interface: `JRTextField`
      Sets the pattern used for this text field. The pattern will be used in a `SimpleDateFormat` for dates and a `DecimalFormat` for numeric text fields. The pattern format must follow one of these two classes formatting rules, as specified in the JDK API docs. If the pattern is incorrect, the exception thrown by formatter classes will be rethrown by the JasperReports fill engine.
      Specified by:
        `setPattern` in interface `JRTextField`

    - #### setBlankWhenNull

          public void setBlankWhenNull(boolean isBlank)

      Description copied from interface: `JRTextField`
      Specifies whether an empty string sholuld be displayed if the field's expression evaluates to `null`.
      Specified by:
        `setBlankWhenNull` in interface `JRTextField`
      Parameters:
        `isBlank` - true if an empty string will be displayed instead of null values, false otherwise

    - #### setBlankWhenNull

          public void setBlankWhenNull(java.lang.Boolean isBlank)

      Specified by:
        `setBlankWhenNull` in interface `JRTextField`

    - #### setHyperlinkType

          public void setHyperlinkType(byte hyperlinkType)

      Deprecated. Repalced by `setHyperlinkType(HyperlinkTypeEnum)`.

    - #### setHyperlinkType

          public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

      Sets the link type as a built-in hyperlink type.
      Parameters:
        `hyperlinkType` - the built-in hyperlink type
      See Also:
        `getLinkType()`

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(byte hyperlinkTarget)

      Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

    - #### setEvaluationGroup

          public void setEvaluationGroup(JRGroup evaluationGroup)

    - #### setExpression

          public void setExpression(JRExpression expression)

    - #### setPatternExpression

          public void setPatternExpression(JRExpression patternExpression)

    - #### setAnchorNameExpression

          public void setAnchorNameExpression(JRExpression anchorNameExpression)

    - #### setHyperlinkReferenceExpression

          public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

    - #### setHyperlinkWhenExpression

          public void setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)

    - #### setHyperlinkAnchorExpression

          public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

    - #### setHyperlinkPageExpression

          public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### getBookmarkLevel

          public int getBookmarkLevel()

      Description copied from interface: `JRAnchor`
      Returns the level of the bookmark corresponding to the anchor.
      Specified by:
        `getBookmarkLevel` in interface `JRAnchor`
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

    - #### setBookmarkLevel

          public void setBookmarkLevel(int bookmarkLevel)

      Sets the boomark level for the anchor associated with this field.
      Parameters:
        `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

    - #### getLinkType

          public java.lang.String getLinkType()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Specified by:
        `getLinkType` in interface `JRHyperlink`
      Returns:
        the hyperlink type

    - #### setLinkType

          public void setLinkType(java.lang.String type)

      Sets the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Parameters:
        `type` - the hyperlink type

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink target name.

      The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `getLinkTarget` in interface `JRHyperlink`
      Returns:
        the hyperlink target name

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String target)

      Sets the hyperlink target name.

      The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Parameters:
        `target` - the hyperlink target name

    - #### getHyperlinkParameters

          public JRHyperlinkParameter[] getHyperlinkParameters()

      Description copied from interface: `JRHyperlink`
      Returns the list of hyperlink parameters.

      The parameters can be used by custom hyperlink types to generate dynamic links.

      Specified by:
        `getHyperlinkParameters` in interface `JRHyperlink`
      Returns:
        the list of hyperlink parameters

    - #### getHyperlinkParametersList

          public java.util.List<JRHyperlinkParameter> getHyperlinkParametersList()

      Returns the list of custom hyperlink parameters.
      Returns:
        the list of custom hyperlink parameters

    - #### addHyperlinkParameter

          public void addHyperlinkParameter(JRHyperlinkParameter parameter)

      Adds a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to add

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

      Removes a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to remove

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(java.lang.String parameterName)

      Removes a custom hyperlink parameter.

      If multiple parameters having the specified name exist, all of them will be removed

      Parameters:
        `parameterName` - the parameter name

    - #### getHyperlinkTooltipExpression

          public JRExpression getHyperlinkTooltipExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression which will generate the hyperlink tooltip.
      Specified by:
        `getHyperlinkTooltipExpression` in interface `JRHyperlink`
      Returns:
        the expression which will generate the hyperlink tooltip

    - #### setHyperlinkTooltipExpression

          public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

      Sets the expression which will be used to generate the hyperlink tooltip.
      Parameters:
        `hyperlinkTooltipExpression` - the expression which will be used to generate the hyperlink tooltip
      See Also:
        `getHyperlinkTooltipExpression()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignTextElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com